Hello community,

here is the log from the commit of package kactivitymanagerd for 
openSUSE:Factory checked in at 2018-06-13 15:29:16
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/kactivitymanagerd (Old)
 and      /work/SRC/openSUSE:Factory/.kactivitymanagerd.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "kactivitymanagerd"

Wed Jun 13 15:29:16 2018 rev:43 rq:615733 version:5.13.0

Changes:
--------
--- /work/SRC/openSUSE:Factory/kactivitymanagerd/kactivitymanagerd.changes      
2018-05-08 13:33:25.202040857 +0200
+++ /work/SRC/openSUSE:Factory/.kactivitymanagerd.new/kactivitymanagerd.changes 
2018-06-13 15:29:18.906812707 +0200
@@ -1,0 +2,26 @@
+Thu Jun  7 20:03:50 CEST 2018 - fab...@ritter-vogt.de
+
+- Update to 5.13.0
+  * New feature release
+  * For more details please see:
+  * https://www.kde.org/announcements/plasma-5.13.0.php
+- Changes since 5.12.90:
+  * None
+
+-------------------------------------------------------------------
+Sat May 19 14:16:34 CEST 2018 - fab...@ritter-vogt.de
+
+- Update to 5.12.90
+  * New feature release
+  * For more details please see:
+  * https://www.kde.org/announcements/plasma-5.12.90.php
+- Changes since 5.12.5:
+  * Warning--
+  * Link against kcrash
+  * Migrate to ecm_qt_declare_logging_category
+  * Use category logging
+  * Allowing KAMD to run without a database backend
+  * Removed the separate thread for resource score cache processing
+  * allow to have more than one default activity
+
+-------------------------------------------------------------------

Old:
----
  kactivitymanagerd-5.12.5.tar.xz

New:
----
  kactivitymanagerd-5.13.0.tar.xz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ kactivitymanagerd.spec ++++++
--- /var/tmp/diff_new_pack.vuVH82/_old  2018-06-13 15:29:19.734782218 +0200
+++ /var/tmp/diff_new_pack.vuVH82/_new  2018-06-13 15:29:19.750781629 +0200
@@ -15,45 +15,48 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+%global kf5_version 5.45.0
+%global qt5_version 5.10.0
 
 %bcond_without lang
 Name:           kactivitymanagerd
-Version:        5.12.5
+Version:        5.13.0
 Release:        0
 Summary:        KDE Plasma Activities support
 License:        GPL-2.0+
 Group:          System/GUI/KDE
 Url:            http://projects.kde.org/kactivitymanagerd
-Source:         
http://download.kde.org/stable/plasma/%{version}/kactivitymanagerd-%{version}.tar.xz
+Source:         kactivitymanagerd-%{version}.tar.xz
 %if 0%{?suse_version} > 1325
 BuildRequires:  libboost_headers-devel
 %else
 BuildRequires:  boost-devel >= 1.49.0
 %endif
 BuildRequires:  cmake >= 2.8.12
-BuildRequires:  extra-cmake-modules >= 5.18.0
+BuildRequires:  extra-cmake-modules >= %{kf5_version}
 BuildRequires:  fdupes
-BuildRequires:  kcmutils-devel >= 5.18.0
-BuildRequires:  kconfig-devel >= 5.18.0
-BuildRequires:  kcoreaddons-devel >= 5.18.0
-BuildRequires:  kdbusaddons-devel >= 5.18.0
-BuildRequires:  kdeclarative-devel >= 5.18.0
+BuildRequires:  kcmutils-devel >= %{kf5_version}
+BuildRequires:  kconfig-devel >= %{kf5_version}
+BuildRequires:  kcoreaddons-devel >= %{kf5_version}
+BuildRequires:  kdbusaddons-devel >= %{kf5_version}
+BuildRequires:  kdeclarative-devel >= %{kf5_version}
+BuildRequires:  kcrash-devel >= %{kf5_version}
 BuildRequires:  kf5-filesystem
-BuildRequires:  kglobalaccel-devel >= 5.18.0
-BuildRequires:  ki18n-devel >= 5.18.0
-BuildRequires:  kio-devel >= 5.18.0
-BuildRequires:  kservice-devel >= 5.18.0
-BuildRequires:  kwindowsystem-devel >= 5.18.0
-BuildRequires:  kxmlgui-devel >= 5.18.0
+BuildRequires:  kglobalaccel-devel >= %{kf5_version}
+BuildRequires:  ki18n-devel >= %{kf5_version}
+BuildRequires:  kio-devel >= %{kf5_version}
+BuildRequires:  kservice-devel >= %{kf5_version}
+BuildRequires:  kwindowsystem-devel >= %{kf5_version}
+BuildRequires:  kxmlgui-devel >= %{kf5_version}
 BuildRequires:  xz
-BuildRequires:  cmake(Qt5Core) >= 5.3.0
-BuildRequires:  cmake(Qt5DBus) >= 5.3.0
-BuildRequires:  cmake(Qt5Gui) >= 5.3.0
-BuildRequires:  cmake(Qt5Qml) >= 5.3.0
-BuildRequires:  cmake(Qt5Quick) >= 5.3.0
-BuildRequires:  cmake(Qt5Sql) >= 5.3.0
-BuildRequires:  cmake(Qt5Test) >= 5.3.0
-BuildRequires:  cmake(Qt5Widgets) >= 5.3.0
+BuildRequires:  cmake(Qt5Core) >= %{qt5_version}
+BuildRequires:  cmake(Qt5DBus) >= %{qt5_version}
+BuildRequires:  cmake(Qt5Gui) >= %{qt5_version}
+BuildRequires:  cmake(Qt5Qml) >= %{qt5_version}
+BuildRequires:  cmake(Qt5Quick) >= %{qt5_version}
+BuildRequires:  cmake(Qt5Sql) >= %{qt5_version}
+BuildRequires:  cmake(Qt5Test) >= %{qt5_version}
+BuildRequires:  cmake(Qt5Widgets) >= %{qt5_version}
 Recommends:     %{name}-imports = %{version}
 Recommends:     %{name}-lang
 # for kactivitymanagerd_plugin_sqlite.so
@@ -62,7 +65,6 @@
 Provides:       kactivities5 = 5.20.0
 Obsoletes:      kactivities4 < %{version}
 Obsoletes:      kactivities5 < 5.20.0
-BuildRoot:      %{_tmppath}/%{name}-%{version}-build
 
 %description
 Kactivities provides an API for using and interacting with the Plasma 
Activities Manager.
@@ -101,8 +103,7 @@
 %endif
 
 %files
-%defattr(-,root,root)
-%doc COPYING*
+%license COPYING*
 %{_kf5_bindir}/kactivitymanagerd
 %{_kf5_libdir}/libkactivitymanagerd_plugin.so
 %{_kf5_plugindir}/

++++++ kactivitymanagerd-5.12.5.tar.xz -> kactivitymanagerd-5.13.0.tar.xz ++++++
++++ 2884 lines of diff (skipped)


Reply via email to